<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/html">

<?php
include('inc/nav.php');
?>
<body class="">
<nav class="navigation">
<div class="container-fluid">

<div class="header-logo">
    <a href="index.html" title="">
        <h1><?php echo $_SESSION['adminlogo'];?></h1>
    </a>
</div>
<div class="top-navigation">


<ul>

    <li>
        <a href="login.html">
            <i class="fa fa-power-off"></i>
        </a>
    </li>

</ul>
</div>
</div>
</nav>

<section id="main-container">


<?php
include('inc/menu.php');
?>


<section id="min-wrapper">
    <div id="main-content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-12">

				<h3 class="ls-top-header">پیشخوان</h3>

				

				<ol class="breadcrumb">
                        <li><a href="javascript:void(0)"><i class="fa fa-home"></i></a></li>
                        <li>آمار و اطلاعات کلی</li>
                    </ol>
                </div>
            </div>

<div class="col-md-3">
        <div class="current-status-widget">
            <ul>
                <li>
                    <div class="status-box">
                        <div class="status-box-icon label-light-green white">
                            <i class="fa fa-users"></i>
                        </div>
                    </div>
                    <div class="status-box-content">
                        <h5 id="sale-view"><?php echo @$userscount; ?></h5>
                        <p class="lightGreen">تعداد کاربران</p>
                    </div>
                    <div class="clearfix"></div>
                </li>
                <li>
                    <div class="status-box">
                        <div class="status-box-icon label-red white">
                            <i class="fa fa-plus"></i>
                        </div>
                    </div>
                    <div class="status-box-content">
                        <h5 id="download-show"><?php echo @$todayreged; ?></h5>
                        <p class="light-blue">عضویت های امروز</p>
                    </div>
                    <div class="clearfix"></div>
                </li>
                <li>
                    <div class="status-box">
                        <div class="status-box-icon label-lightBlue white">
                            <i class="fa fa-eye"></i>
                        </div>
                    </div>
                    <div class="status-box-content">
                        <h5 id="deliver-show"><?php echo @$count1; ?></h5>
                        <p class="light-blue">بازدید امروز</p>
                    </div>
                    <div class="clearfix"></div>
                </li>
                <li>
                    <div class="status-box">
                        <div class="status-box-icon label-light-green white">
                            <i class="fa fa-gear"></i>
                        </div>
                    </div>
                    <div class="status-box-content">
                        <h5 id="user-show"><?php echo @$usertypes; ?></h5>
                        <p class="lightGreen">تعداد سطوح کاربری</p>
                    </div>
                    <div class="clearfix"></div>
                </li>
                <li>
                    <div class="status-box">
                        <div class="status-box-icon label-success white">
                            <i class="fa fa-ban"></i>
                        </div>
                    </div>
                    <div class="status-box-content">
                        <h5 id="product-up"><?php echo @$bancount; ?></h5>
                        <p class="text-success">تعداد اخراجی ها</p>
                    </div>
                    <div class="clearfix"></div>
                </li>
                <li>
                    <div class="status-box">
                        <div class="status-box-icon label-light-green white">
                            <i class="fa fa-smile-o"></i>
                        </div>
                    </div>
                    <div class="status-box-content">
                        <h5 id="income-show"><?php echo @$smilecount; ?></h5>
                        <p class="lightGreen">تعداد شکلک ها</p>
                    </div>
                    <div class="clearfix"></div>
                </li>
            </ul>
        </div>

    </div>
			<div class="col-md-9">
                            <div class="panel panel-primary">
                                <div class="panel-heading">
                                    <h3 class="panel-title">آمار و اطلاعات کلی</h3>
                                    <ul class="note-control">
                                    </ul>
                                </div>
                                <div class="panel-body">
                                   
                                
                                    <Style>
#graph img{
display:none;
}
</style>
<div id="graph"></div>

<script type="text/javascript">
	
	var myChart = new JSChart('graph', 'line');
	myChart.setDataArray([[1, <?php echo $viewer5;?>],[2, <?php echo $viewer4;?>],[3, <?php echo $viewer3;?>],[4, <?php echo $viewer2;?>],[5, <?php echo $viewer1;?>]], 'blue');
	myChart.setDataArray([[1, <?php echo $count5;?>],[2, <?php echo $count4;?>],[3, <?php echo $count3;?>],[4, <?php echo $count2;?>],[5, <?php echo $count1;?>]], 'green');
	myChart.setSize(620, 300);
	myChart.setTitle("");
	myChart.setFontFamily("b yekan");
	myChart.setAxisValuesNumberY(5);
	myChart.setIntervalStartY(0);
	myChart.setLabelX([1,'4 روز پیش']);
	myChart.setLabelX([2,'3 روز پیش']);
	myChart.setLabelX([3,'2 روز پیش']);
	myChart.setLabelX([4,'دیروز']);
	myChart.setLabelX([5,'امروز']);
	myChart.setAxisValuesNumberX(5);
	myChart.setShowXValues(false);
	myChart.setTitleColor('#454545');
	myChart.setAxisValuesColor('#454545');
	myChart.setLineColor('#A4D314', 'green');
	myChart.setTooltip([1,' ']);
	myChart.setTooltip([2,' ']);
	myChart.setTooltip([3,' ']);
	myChart.setTooltip([4,' ']);
	myChart.setTooltip([5,' ']);

	myChart.setFlagColor('#9D16FC');
	myChart.setFlagRadius(0);
	myChart.setAxisPaddingRight(100);
	myChart.setLegendShow(true);
	myChart.setLegendPosition(540, 80);
	myChart.setLegendForLine('blue', 'بازدید کنندگان');
	myChart.setLegendForLine('green', 'بازدید ها');
	myChart.draw();
	
</script>

                                    
                                    

                                    </div>
                                
                                
                                </div>
                
            
                            </div>
            
            
            
            
            
            
            
            
            
            
            <div class="row">
                        <div class="col-md-12">
                            <div class="panel panel-default">
                                <div class="panel-heading">
                                    <h3 class="panel-title">آخرین بازدید ها</h3>
                                </div>
                                <div class="panel-body">
                                    <!--Table Wrapper Start-->
                                    <div class="table-responsive ls-table">
                                        <table class="table">
                                            <thead>
                                            <tr>
                                                <th style="font-family:tahoma;">ردیف</th>
                                                <th style="font-family:tahoma;">نام</th>
                                                <th style="font-family:tahoma;">مرورگر</th>
                                                <th style="font-family:tahoma;">آی پی</th>
                                                <th style="font-family:tahoma;">زمان</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                                <?php
                                                    $select = $pdo->prepare("select * from visit order by id desc limit 5");
                                                    $select->execute();
                                                    for($i=0;$i<$row=$select->fetch();$i++){
                                                        ?>
                                                        
                                            <tr>
                                                <td><?php echo $i+1?></td>
                                                <td><?php echo $row['username']; ?></td>
                                                <td><?php echo $row['browser']; ?></td>
                                                <td><?php echo $row['ip']; ?></td>
                                                <td><?php echo $row['time']; ?></td>
                                            </tr>
                                            
                                                    <?php
                                                    }
                                                    ?>
                                            </tbody>
                                        </table>
                                    </div>
                                    <!--Table Wrapper Finish-->
                                </div>
                            </div>
                        </div>
                    </div>
            
            
            
            
            
            
            
            
                        </div>
						

        </div>
    </div>



</section>
    <?php
include('inc/footer.php');
?>
</body>

</html>