<?php

/*
 * Chat-IR v Beta
 * Author : SourceWeb.ir
 * Copy : 2014m - 1393j
 * E-mail : hoseinnikmaram@gmail.com
 */

class message extends connect{
    
    public $pdo;
    public function __construct(){
        @session_start();
        // چک کردن اینکه کاربر وارد شده یا خیر
        if(!isset($_SESSION['username']) || $_SESSION['username'] == ""){
         exit("no access ; please login first");   
        }
        parent::__construct();
        // معتبر سنجی ورودی ها
        $message = parent::safe_input($_POST['message']);
        $privat = parent::safe_input($_POST['privat']);
        $roomid = parent::safe_input($_POST['roomid']);
        if(strlen($message) > $_SESSION['strlenpms']){
            $message = substr($message,0,$_SESSION['strlenpms']);
            $message = $message . "...";
        }
            $_POST['color'] = parent::safe_input(substr($_POST['color'], 0, 7));
			$_POST['bold'] = parent::safe_input(substr($_POST['bold'], 0, 6));
			$_POST['italic'] = parent::safe_input(substr($_POST['italic'], 0, 6));
        $css = "color:".$_POST['color'].";font-style:".$_POST['italic'].";font-weight:".$_POST['bold'];
        $time = strtotime(date("Y-m-d H:i:s"));
        $ip = parent::safe_input($_SERVER['REMOTE_ADDR']);
        
        if($message != ""){
        // جایگزینی کلمات زشت از دیتابیس
        $select = $this->pdo->prepare("select * from badwords");
        $select->execute();
            for($i=0;$row=$select->fetch();$i++){
             $message = str_replace($row['word'],$row['filter'],$message);
            }
            
        // جایگزینی شکلک با متن پیام
        $select = $this->pdo->prepare("select * from smileys");
        $select->execute();
            for($i=0;$row=$select->fetch();$i++){
             $message = str_replace($row['sign'],"<img style='max-width:100px;' src='files/smileys/".$row['url']."'>",$message,$sco);
             if ($sco>0) $count_all+=$sco;
            }
            // چک کردن اینکه اگر تعداد شکلک ها از حد مجاز بیشتر شد تمام شکلک ها پاک شوند
            if ($count_all > $_SESSION['repeatsmile']) $message = strip_tags($message);
            // چک کردن اینکه پیام تکراریست یا خیر
            if($_SESSION['lastmsg'] == $message and $_SESSION['repeatmsg'] == "false"){
                exit("");
            }
            // وارد کردن پیام به دیتابیس
            if($_SESSION['priv'] == "gast" && $_SESSION['gastsendmsg'] != "true"){
                exit("");
            }
            if($_SESSION['priv'] == "silent"){
                exit("");
            }
            // چک کردن اینکه پیام خصوصی هست یا نه
            if($privat != "0" and $privat != ""){
                $select = $this->pdo->prepare("select * from onlines where userid = :uid");
                $select->bindParam(':uid',$privat);
                $select->execute();
                $o_count = $select->rowCount();
                // چک کردن اینکه کاربر مورد نظر آنلاین هست یا نه
                // اگر نبود پیام آفلاین ثبت بشه
                if($o_count == '' or $o_count == '0'){
                    $insert = $this->pdo->prepare("insert into offlines(id,username,userid,rec_id,message)values(NULL,:mname,:mid,:uid,:msg)");
                    $insert->bindParam(':mname',$_SESSION['username']);
                    $insert->bindParam(':mid',$_SESSION['id']);
                    $insert->bindParam(':uid',$privat);
                    $insert->bindParam(':msg',$message);
                    $insert->execute();
                    exit("");

                }
                // اگه آنلاین بود پیام معمولی
                else{
                    
                    $insert = $this->pdo->prepare("insert into messages(id,message,css,time,name,sex,priv,userid,privat,ip,room)values(NULL,:message,:css,:time,:name,:sex,:priv,:userid,:privat,:ip,:room)");
                   
                    
                    }
            }
            // اگر پیام خصوصی نبود
            
            else{
            $insert = $this->pdo->prepare("insert into messages(id,message,css,time,name,sex,priv,userid,privat,ip,room)values(NULL,:message,:css,:time,:name,:sex,:priv,:userid,:privat,:ip,:room)");

            }
            
        $insert->bindParam(':message',$message);
        $insert->bindParam(':css',$css);
        $insert->bindParam(':time',$time);
        $insert->bindParam(':name',$_SESSION['username']);
        $insert->bindParam(':sex',$_SESSION['sex']);
        $insert->bindParam(':priv',$_SESSION['priv']);
        $insert->bindParam(':userid',$_SESSION['id']);
        $insert->bindParam(':privat',$privat);
        $insert->bindParam(':ip',$ip);
        $insert->bindParam(':room',$roomid);
        $insert->execute();
        echo "1";
            $_SESSION['lastmsg'] = $message;
        }
    }

    public function __destruct(){
     parent::__destruct();
     unset($insert);   
     unset($select);   
    }
    
}