<?php

/*
 * Chat-IR v Beta
 * Author : SourceWeb.ir
 * Copy : 2014m - 1393j
 * E-mail : hoseinnikmaram@gmail.com
 */


class register extends connect{
    
    public $pdo;

    public function __construct(){
        @session_start();
        // چک کردن اینکه کاربر مهمان نباشد
        if(!isset($_SESSION['priv'])) {
            exit("Your Not Gast ; Im Sorry :X");
        }
        if($_SESSION['priv'] != "gast" || $_SESSION['priv'] == ""){
            exit("Your Not Gast ; Im Sorry :X");
        }
    parent::__construct(); 
        @ob_start();
        // چک کردن اینکه کاربر در طی 24 ساعت گذشته ثبت نام نکرده باشد
        if(isset($_COOKIE['lastregister'])) {
            if($_COOKIE['lastregister'] !== null){
                exit("اخطار!شما در 24 ساعت گذشته یک بار ثبت نام کرده اید");
            }
        }
        // چک کردن اینکه کاربر قبلا ثبت نکرده باشد
        $check = $this->pdo->prepare("select * from users where id = :id");
        $check->bindParam(':id',$_SESSION['id']);
        $check->execute();
        $row = $check->fetch();
        if($row['userpriv'] != "gast"){
            exit("شما قبلا ثبت نام کرده اید");
        }
        // معتبر سنجی ورودی ها
        if(!isset($_POST['rpw']) || $_POST['rpw'] == "" || $_POST['rpwconfrim'] == ""){
            exit("لطفا فیلد ها را پر کنید");
        }
        
        $pw = md5($_POST['rpw']);
        $pwconfrim = md5($_POST['rpwconfrim']);

        if($pw != $pwconfrim){
            exit("پسورد ها با هم تطابق ندارند لطفا دوباره تلاش کنید");
        }
        
        $regtime = date("Y-m-d H:i:s");
        
        $ip = parent::safe_input($_SERVER['REMOTE_ADDR']);
        
        // ثبت نام کاربر
        $update = $this->pdo->prepare("update users set userpw = :pw , userpriv = 'user' , regtime = :regtime , regip = :regip where id = :myid");
        $update->bindParam(':pw',$pw);
        $update->bindParam(':myid',$_SESSION['id']);
        $update->bindParam(':regtime',$regtime);
        $update->bindParam(':regip',$ip);
        $update->execute();
        setcookie("lastregister", "true", time()+86400);
        exit("registred");
        
        
    }


public function __destruct(){
 parent::__destruct();
 unset($update);   
 unset($check);   
}


}