<?php


/*
 * Chat-IR v Beta
 * Author : SourceWeb.ir
 * Copy : 2014m - 1393j
 * E-mail : hoseinnikmaram@gmail.com
 */

class users extends connect{
 
    public $pdo;
    
    public function __construct(){
        @session_start();
        // چک کردن اینکه کاربر وارد شده یا خیر
        if(!isset($_SESSION['username']) || $_SESSION['username'] == ""){
         exit("no access ; please login first");   
        }
        parent::__construct();
    
    $username = parent::safe_input($_POST['username']);
        
    // تغییر درجه و اسم و جنسیت کاربر اگر تغییر کرده بود
        $select = $this->pdo->prepare("select * from users where id = :userid");
        $select->bindParam(':userid',$_SESSION['id']);
        $select->execute();
        $row = $select->fetch();
        $_SESSION['sex'] = $row['usersex'];
        $_SESSION['priv'] = $row['userpriv'];
        $_SESSION['username'] = $row['username'];
        
    // تغییر زمان آنلاین شدن با زمان کنونی
    $time = time();
    $users = $this->pdo->prepare("update onlines set time = :time,userpriv = :upriv,username=:uname where userid = :userid");
    $users->bindParam(':time',$time);
    $users->bindParam(':upriv',$_SESSION['priv']);
    $users->bindParam(':uname',$_SESSION['username']);
    $users->bindParam(':userid',$_SESSION['id']);
    $users->execute();
    $users = $this->pdo->prepare("select * from onlines where status != 'status_invisible' and username LIKE '%$username%' order by username");
    $users->execute();
        
    $rooms = $this->pdo->prepare("select * from rooms");
    $rooms->execute();

            // چک کردن اینکه اسم کاربر در لیست وجود دارد یا خیر
            $select = $this->pdo->prepare("select * from onlines where userid = :userid");
            $select->bindParam(':userid',$_SESSION['id']);
            $select->execute();
            $count = $select->rowCount();
            //اگر وجود داشت
            if($count>0){
                // فعلا هیچی
            }
        // اگر وجود نداشت وارد دیتابیس شود - این کد برای زمانی است که اینترنت کاربر قطع میشود و دوباره وارد لیست میشود
            else{
                parent::insertonline($_SESSION['id'],$_SESSION['username'],$_SESSION['priv']);      
            }
        // لیست کردن کاربران با جی سان
        
        //چک کردن اینکه کاربر میتواند ای پی شخص را ببیند یا نه
        if($_SESSION['access'] == '3'){
            
echo '{"list":[{"id":"","name":"","priv":"","status":"","ip":"","room":""}'; for($i=0;$row = $users->fetch();$i++){
echo ',{"id":"'.$row['userid'].'","name":"'.$row['username'].'","priv":"'.$row['userpriv'].'","status":"'.$row['status'].'","ip":"'.$row['ip'].'","room":"'.$row['room'].'"}';
}echo ']';
        }
        
        else{
        
            echo '{"list":[{"id":"","name":"","priv":"","status":"","room":""}'; for($i=0;$row = $users->fetch();$i++){
echo ',{"id":"'.$row['userid'].'","name":"'.$row['username'].'","priv":"'.$row['userpriv'].'","status":"'.$row['status'].'","room":"'.$row['room'].'"}';
}echo ']';
            
        }
        
echo ',"rooms":[{"roomid":"","roomname":"","message":""}'; for($i=0;$row = $rooms->fetch();$i++){
echo ',{"roomid":"'.$row['roomid'].'","roomname":"'.$row['roomname'].'","message":"'.$row['message'].'"}';
}echo ']}';
      

    }
    
    
    public function __destruct(){
        parent::__destruct();
        unset($users);
        unset($select);
        unset($rooms);
    }
    
    
}